Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicColorChooserUI.PropertyHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicColorChooserUI.PropertyHandler

All Implemented Interfaces:
  EventListener, PropertyChangeListener

Enclosing class:
  BasicColorChooserUI

public class BasicColorChooserUI.PropertyHandler
extends Object
implements PropertyChangeListener

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

Constructor Summary
`BasicColorChooserUI.PropertyHandler()`

Method Summary
`void` | `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicColorChooserUI.PropertyHandler

    public BasicColorChooserUI.PropertyHandler()

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent e)

  Description copied from interface: `PropertyChangeListener`
  This method gets called when a bound property is changed.

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Parameters:
    `e` - A PropertyChangeEvent object describing the event source and the property that has changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.